package com.sa.ibiz.demo.demo.service;

import com.sa.ibiz.demo.demo.domain.UserDictCat;
import com.sa.ibiz.demo.demo.service.dto.UserDictCatSearchFilter;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import java.util.Map;

/**
 * 实体[UserDictCat] 服务对象接口
 */
public interface UserDictCatService extends IService<UserDictCat>{

	boolean update(UserDictCat et);
	boolean checkKey(UserDictCat et);
		UserDictCat get(UserDictCat et);
	boolean getDraft(UserDictCat et);
	boolean remove(UserDictCat et);
	boolean create(UserDictCat et);
    List<UserDictCat> listDefault(UserDictCatSearchFilter filter) ;
	Page<UserDictCat> searchDefault(UserDictCatSearchFilter filter);
	/**	 实体[UserDictCat] 自定义数据查询  	**/
	List<Map<String,Object>> selectRow(String sql);
 }